import os

from source import manager, model, api

# create a fastapi application
application = api.Application()


# create the model controller
model_controller = manager.ModelManager(os.environ["MODEL_LIBRARY"])
model_controller.register_model_type("dummy", model.DummyModel)
model_controller.register_model_type("python", model.PythonModel)
model_controller.reload()

api.route.models.load(application, model_controller)


# serve the application
application.serve("0.0.0.0", 8000)
